import { OnInit, ElementRef } from '@angular/core';
import { Observable } from 'rxjs';
import { MatIconRegistry } from '@angular/material';
import { DomSanitizer } from '@angular/platform-browser';
export declare class ChartJsComponent implements OnInit {
    private iconRegistry;
    private sanitizer;
    type: string;
    data: any;
    label: string;
    updateChart: Observable<void>;
    canvasRef: ElementRef;
    chartData: any;
    hasData: boolean;
    chart: any;
    ctx: any;
    constructor(iconRegistry: MatIconRegistry, sanitizer: DomSanitizer);
    ngOnInit(): void;
    initChart(): void;
    createChartPie(): void;
    createChartBar(): void;
    createChartColumn(): void;
    dynamicColors(): any;
    updateData(): void;
    private registerIcons;
}
